﻿@model IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.EventsGirl>
@{
    ViewBag.Title = "Quản trị thí sinh";
    ViewBag.Description = "tin bai";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    int tbCol = 7;
    
}

@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        <a href="/administrators/events_manager/eventsgirl_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        @*<button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>*@
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_@tbCol">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th style="width: 100px">Ảnh</th>
                                <th>Tên thí sinh</th>
                                <th style="width: 180px">Số điện thoại</th>
                                <th style="width: 250px">Sự kiện</th>
                                <th style="width: 120px">Trạng thái</th>
                                <th style="width: 25px; text-align: center">Sửa
                                </th>

                            </tr>
                        </thead>
                        <tbody>
                            @{foreach (var item in Model)
                              {
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@item.EGirlID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <img class="slogan_img" src="/Uploaded/Images/sukien/thi-sinh-du-thi/@item.Image">
                                        <input type="hidden" name="updateID" value="@item.EGirlID">
                                    </td>
                                    <td>
                                        <a href="/administrators/events_manager/eventsgirl_edit/@item.EGirlID">
                                            <b>
                                                @item.Name
                                            </b>
                                        </a>
                                    </td>
                                    <td>
                                       
                                          @item.Mobile
                                    </td>
                                    <td>
                                        @{if (item.EventID != null)
                                          {
                                                 <span class='label  label-info'>
                                                     @item.Event.EventName
                                        </span>
                                          }
                                          else
                                          {
                                               <span class='label  label-danger'>
                                                     Chưa xác định sự kiện
                                        </span> 
                                          }}
                                       

                                    </td>

                                    <td>       
                                        @{if (item.EStatusID != null)
                                          {
                                                <span class='label  @item.EventsGirlStatus.Color'>@item.EventsGirlStatus.EStatusName</span>
                                          }
                                          else
                                          {
                                               <span class='label  label-success'>Mới đăng ký</span>
                                          }}
                                              
                                    </td>
                                    <td>
                                        <a href="/administrators/events_manager/eventsgirl_edit/@item.EGirlID" class="btn btn-warning btn-sm edit"><i class="fa fa-check"></i></a>
                                    </td>

                                </tr>
                              }}
                        </tbody>
                    </table>
                    <div class="table-toolbar">
                        <a href="/administrators/events_manager/events_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            <i class="fa fa-times"></i>Xóa</button>
                        @*<button class="btn btn-info pull-right" type="submit" name="update" value="OK">
                            <i class="fa fa-refresh"></i>Cập nhật vị trí</button>*@
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
    
    <script>
        $(document).ready(function () {
            var error = "@ViewBag.Error";
            if (error != 0) {
                $('#modal-warning-error').modal('show')
            }
        })
    </script>
    
    <div class="modal fade modal-message modal-warning" id="modal-warning-error" aria-hidden="false">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="fa fa-warning"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    @ViewBag.Error
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <script>
        $(document).ready(function () {
            $("#events").addClass("active open");
            $("#girls").addClass("active");
        });

    </script>
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang3.init();
        bang4.init();
        bang5.init();
        bang6.init();
        bang7.init();
        bang8.init();
        bang9.init();
        bang10.init();
    </script>

}
